use std::fs::File;
use std::io::{Read, stdin};
use std::io::Write;

fn main() {
    const READER_VERSION : &str = "1.0";
    println!("Device Id reader version : {}, reading...", READER_VERSION);
    let guid_res = machine_uid::get();
    if guid_res.is_err(){
        println!("Read id failed.")
    }else {
        let guid = guid_res.unwrap();
        println!("Device Id : {:?}",&guid);
        // 将ID保存至当前目录下文件 DeviceId.txt
        let path = "./DeviceId.txt";
        let mut output_res = File::create(path);
        if output_res.is_err(){
            println!("create file DeviceId.txt failed");
        }else {
            let mut output = output_res.unwrap();
            let write_res = write!(output, "read device id : {}",&guid);
            if write_res.is_ok(){
                println!("Save device id in file DeviceId.txt");
            }else {
                println!("Save device id in file failed.");
            }
        }
    }
    println!("Any key to exit...");
    // 等待用户按下任意键
    let mut buffer = [0; 1];

    stdin().read_exact(&mut buffer).unwrap();
}
